| IOLink 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
iolink::SpatialDirections Class Referencefinal

Describes a spatial axis system, with direction vectors describing the three axes. More...

`#include <iolink/property/SpatialDirections.h>`

## Public Member Functions
| SpatialDirections ()
| Create a default spatial direction.
| SpatialDirections (const Vector3d &columnDirection, const Vector3d &rowDirection)
| Create a SpatialDirections instance from two vectors.
| SpatialDirections (const SpatialDirections &other)=default
SpatialDirections & | operator= (const SpatialDirections &other)=default
| SpatialDirections (SpatialDirections &&other) noexcept=default
SpatialDirections & | operator= (SpatialDirections &&other) noexcept=default
bool | operator== (const SpatialDirections &other) const
bool | operator!= (const SpatialDirections &other) const
const Vector3d & | columnDirection () const
| The direction vector following the column dimension (X)
const Vector3d & | rowDirection () const
| The direction vector following the row dimension (Y)
const Vector3d & | sliceDirection () const
| The direction vector following the slice dimension (Z)
std::string | toString () const
| Return a string decription of the spatial directions.

## Detailed Description

Describes a spatial axis system, with direction vectors describing the three axes.

Axes are defined in a right hand system, so the third direction can be computed from the first two ones.

## Constructor & Destructor Documentation

## ◆ SpatialDirections() [1/2]

iolink::SpatialDirections::SpatialDirections | ( |  | ) |

Create a default spatial direction.

default values are the following:

- column direction: (1.0, 0.0, 0.0)
- row direction: (0.0, 1.0, 0.0)
- slice direction: (0.0, 0.0, 1.0)

## ◆ SpatialDirections() [2/2]

iolink::SpatialDirections::SpatialDirections | ( | const Vector3d & | columnDirection,
|  | const Vector3d & | rowDirection
| ) |  |

Create a SpatialDirections instance from two vectors.

The slice direction vector will be computed by using the cross product of the two given direction.

Parameters

  columnDirection | column direction vector
  rowDirection | row direction vector

The documentation for this class was generated from the following file:

- iolink/public/include/iolink/property/SpatialDirections.h